
Foreman - Bug #13745

Primary interface ignored during migrations

02/16/2016 02:06 PM - Trey Dockendorf

Status: Closed   

Priority: Normal   

Assignee: Trey Dockendorf   

Category: DB migrations   

Target version: 1.10.2   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.8.4

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3173

  

Description

The primary_interface attribute for managed hosts is ignored during migration from 1.7 to 1.8.  No matter what value is present, eth0

is assigned as the primary interface.

Associated revisions

Revision c11e9017 - 02/17/2016 10:00 AM - Trey Dockendorf

fixes #13745 - Fix usage of primary_interface when migrating interfaces from < 1.8 to >= 1.8

Revision 4e5293e4 - 02/23/2016 09:59 AM - Trey Dockendorf

fixes #13745 - Fix usage of primary_interface when migrating interfaces from < 1.8 to >= 1.8

(cherry picked from commit c11e901709a21c22f6bad50dfa173a2eaaaf4c80)

History

#1 - 02/17/2016 03:01 AM - Dominic Cleal

- Category set to DB migrations

- Status changed from New to Ready For Testing

- Assignee set to Trey Dockendorf

- Pull request https://github.com/theforeman/foreman/pull/3173 added

#2 - 02/17/2016 10:02 AM - Trey Dockendorf

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset c11e901709a21c22f6bad50dfa173a2eaaaf4c80.

#3 - 02/17/2016 10:22 AM - Dominic Cleal

- translation missing: en.field_release set to 123
